APIs / Substack / Posts

Substack: Posts

Posts from Substack as JSON. 1 credit per successful call.

GET /v1/substack/postsNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
publicationstringRequiredUp to 64 characters
sortstringOptionalnew, top
offsetintegerOptionalAny
limitintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/substack/posts?publication=slowboring&sort=new&offset=0&limit=2" \
  -H "X-API-Key: $API_KEY"